
Redmine - Defect #20463

Internal error when moving an issue to a project without selected trackers and active issue tracking

2015-08-03 10:46 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 2.6.6

Description

Circumstances:

Project hierarchy:

PR1 (with issue tracking enabled and activated several trackers)

   PR1_C1 (with issue tracking enabled and none trackers activated)

Issue, defined in PR1, assigned a tracker

Action:

Move the issue from PR1 to PR1_C1.

Result:

Internal error.

Started PUT "/issues/2885" for 192.168.xxx.xxx at 2015-07-30 12:40:54 +0300

Processing by IssuesController#update as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"9bqERxUbYbjA8eewrwerwwefH6kQGImlUcm5IgKc6wkY=",

 "issue"=>{"is_private"=>"0", "project_id"=>"383", "subject"=>"xxxxxxxxxxxxxxxxx", "description"=>

"xxxxxxxxxxxxxxxxxxx", "status_id"=>"2", "priority_id"=>"4", "assigned_to_id"=>"3", "parent_issue_

id"=>"", "start_date"=>"2015-06-10", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0", "cu

stom_field_values"=>{"2"=>[""], "3"=>[""], "4"=>[""]}, "checklists_attributes"=>{"0"=>{"is_done"=>

"0", "subject"=>"", "_destroy"=>"false", "position"=>"1", "id"=>""}}, "notes"=>"", "private_notes"

=>"0", "lock_version"=>"4"}, "time_entry"=>{"hours"=>"", "activity_id"=>"13", "comments"=>""}, "la

st_journal_id"=>"11173", "commit"=>"Изпращане", "id"=>"2885"}

  Current user: xxx (id=3)

  Rendered issues/edit.html.erb within layouts/base (31.2ms)

Completed 500 Internal Server Error in 109.4ms

ActionView::Template::Error (undefined method `name' for nil:NilClass):

    1: <h2><%=h "#{@issue.tracker.name} ##{@issue.id}" %></h2>

    2: 

    3: <%= render :partial => 'edit' %>

    4: <% content_for :header_tags do %>

  app/views/issues/edit.html.erb:1:in `_app_views_issues_edit_html_erb__803754913_24533328'

  app/controllers/issues_controller.rb:207:in `block (2 levels) in update'

  app/controllers/issues_controller.rb:206:in `update'

Associated revisions

Revision 14612 - 2015-09-20 13:18 - Jean-Philippe Lang

Internal error when moving an issue to a project without trackers (#20463).

Revision 14613 - 2015-09-20 13:38 - Jean-Philippe Lang

Don't propose projects without trackers when editing an issue (#20463).

Revision 14616 - 2015-09-20 14:52 - Jean-Philippe Lang
Test failure, now that projects without trackers are ignored (#20463).

History

#1 - 2015-09-02 05:46 - Toshi MARUYAMA

- Status changed from New to Confirmed

Confirmed in 2.6-stable r14532.

#2 - 2015-09-02 05:51 - Toshi MARUYAMA

- Target version set to 3.2.0

Confirmed in trunk r14542, too.

#3 - 2015-09-20 13:19 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14612, thanks for pointing this out.

#4 - 2015-09-20 13:38 - Jean-Philippe Lang

Projects without trackers are longer proposed when editing an issue (r14613).
